gsasl_mechanism_name_p(3)

NAME
gsasl_mechanism_name_p - API function

SYNOPSIS
#include <gsasl.h>

int gsasl_mechanism_name_p(const char * mech);

ARGUMENTS

const char * mech
    input variable with mechanism name string.

DESCRIPTION
Check if the mechanism name string mech follows syntactical rules. It does not check that the name is registered with IANA. It does not check that the mechanism name is actually implemented and supported.

SASL mechanisms are named by strings, from 1 to 20 characters in length, consisting of upper-case letters, digits, hyphens, and/or underscores.

RETURNS
non-zero when mechanism name string mech conforms to rules, zero when it does not meet the requirements.

SINCE
2.0.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GNU SASL home page: http://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gsasl/manual/